What upgrades do I need to run newest iTunes for my iphone 5 to work on iMac OS 10.5.8, 2.4 GHz Core 2 Duo, 2 GB

Back To Product

Follow this Question

1 Answer from the Community

  • You must be running Mac OS X 10.6.8 to run the newest version of iTunes.

    Was this useful? Answer 1

    0 of 1 people found this useful

Related Questions